Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parámetros de consulta
api-version
string
requerido
The API version to use for this operation.
Parámetros de encabezado
Foundry-Features
enum
requerido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parámetros de la ruta de acceso
name
string
requerido
Name of the model.
version
string
requerido
Version of the model.
Cuerpo de la solicitud
The credential request request body.
blobUri
string
requerido
Blob URI of the model asset to fetch credentials for.
Respuestas
The request has succeeded.
Cuerpo
blobReference
BlobReference
requerido
Blob reference details.
blobUri
string
requerido
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
requerido
ARM ID of the storage account to use.
credential
SasCredential
requerido
SAS Credential definition
sasUri
string
requerido
SAS uri
type
enum
requerido
Type of credential
Solicitar
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Respuesta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json